| Home | Libraries | People | FAQ | More

###### http::header::erase (1 of 3 overloads)

(Inherited from `http::basic_fields`)

Remove a field.

###### Synopsis

    const_iterator
    erase(
        const_iterator pos);

###### Description

References and iterators to the erased elements are invalidated. Other references and iterators are not affected.

###### Parameters

Name | Description
--- | ---
`pos` | An iterator to the element to remove.

###### Return Value

An iterator following the last removed element. If the iterator refers to the last element, the end() iterator is returned.